<main class="container">
    <ng-container *ngIf="tableData && tableData.length > 0; else noData">
        <mat-paginator class="bcg-color-gray"
            [length]="totalResults"
            [pageSize]="20"
            [pageSizeOptions]="[20]"
            (page)="paginatorClick.emit($event)"
            aria-label="Select page">
        </mat-paginator>
        <table class="bcg-color-gray" mat-table [dataSource]="tableData">
            <ng-container matColumnDef="title">
                <th mat-header-cell *matHeaderCellDef> Title </th>
                <td class="movie-title" [routerLink]="[element.id]" mat-cell *matCellDef="let element"> {{element.title}} </td>
            </ng-container>

            <ng-container matColumnDef="genres">
                <th mat-header-cell *matHeaderCellDef> Genres </th>
                <td mat-cell *matCellDef="let element"> {{element.genres}} </td>
            </ng-container>

            <ng-container matColumnDef="voteAverage">
                <th mat-header-cell *matHeaderCellDef> Vote </th>
                <td mat-cell *matCellDef="let element"> {{element.voteAverage}} </td>
            </ng-container>

            <ng-container matColumnDef="similar">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element">
                    <button class="tooltip"
                        data-text="List similar movies"
                        mat-mini-fab
                        color="primary"
                        (click)="similarMoviesLoad.emit(element.id)">
                        <mat-icon>dashboard</mat-icon>
                    </button>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </ng-container>
</main>


<ng-template #noData>
    <p *ngIf="!tableData">Use the search field to find some awsome movies...</p>
    <p *ngIf="tableData?.length === 0">Ops, the movie has not been found!</p>
</ng-template>